<?xml version="1.0" encoding="UTF-8" ?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
                  xmlns:gedmo="http://gediminasm.org/schemas/orm/doctrine-extensions-mapping">

    <mapped-superclass name="AppBundle\Entity\Fulfiller\FulfillerAttribute" table="fulfiller_raw_attribute">
        <id name="id" column="id" type="string" length="36" unique="true" nullable="false" />
        <field name="title" column="title" type="string" unique="false" nullable="false" />
        <many-to-one field="valueList" target-entity="AppBundle\Entity\Fulfiller\FulfillerAttributeValue" mapped-by="attribute" nullable="false"/>
    </mapped-superclass>

</doctrine-mapping>
